<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:43 CET 2016 -->
<title>ImportBudgetData.Builder (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ImportBudgetData.Builder (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" target="_top">Frames</a></li>
<li><a href="ImportBudgetData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget</div>
<h2 title="Class ImportBudgetData.Builder" class="title">Class ImportBudgetData.Builder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget.ImportBudgetData.Builder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">ImportBudgetData.Builder</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Class builder</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>plujan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#Builder--">Builder</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#accountElement-java.lang.String-">accountElement</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the accountElement value
 
 Description: A identification code for an account type.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#accountingSchema-java.lang.String-">accountingSchema</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the accountingSchema value
 
 Description: The structure used in accounting including costing methods currencies and the
 calendar.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#acctschemaident-java.lang.String-">acctschemaident</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the acctschemaident value
 
 Description: Acctschemaident</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#active-java.lang.Boolean-">active</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the active value
 
 Description: A flag indicating whether this record is available for use or de-activated.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#activity-java.lang.String-">activity</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the activity value
 
 Description: A distinct activity defined and used in activity based management.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#activityIdentification-java.lang.String-">activityIdentification</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the activityIdentification value
 
 Description: Activity Identification</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#amount-java.lang.String-">amount</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the amount value
 
 Description: A monetary total.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#bPGroupIdentitification-java.lang.String-">bPGroupIdentitification</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the bPGroupIdentitification value
 
 Description: BP Group Identitification</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#budget-java.lang.String-">budget</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the budget value
 
 Description: A group of planned expenses for a task.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#budgetLine-java.lang.String-">budgetLine</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the budgetLine value
 
 Description: Budget Line</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#build--">build</a></span>()</code>
<div class="block">Build the data object.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#businessPartner-java.lang.String-">businessPartner</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the businessPartner value
 
 Description: Anyone who takes part in daily business operations by acting as a customer
 employee etc.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#businessPartnerCategory-java.lang.String-">businessPartnerCategory</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the businessPartnerCategory value
 
 Description: A classification of business partners based on defined similarities.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#campaignIdentification-java.lang.String-">campaignIdentification</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the campaignIdentification value
 
 Description: Campaign Identification</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#client-java.lang.String-">client</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the client value
 
 Description: Client for this installation.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#currency-java.lang.String-">currency</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the currency value
 
 Description: An accepted medium of monetary exchange that may vary across countries.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#currencyIdentification-java.lang.String-">currencyIdentification</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the currencyIdentification value
 
 Description: Currency Identification</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#description-java.lang.String-">description</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#elementvalueident-java.lang.String-">elementvalueident</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the elementvalueident value
 
 Description: Elementvalueident</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#importErrorMessage-java.lang.String-">importErrorMessage</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the importErrorMessage value
 
 Description: A message that appears when errors occur during the importing process.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#importProcessComplete-java.lang.Boolean-">importProcessComplete</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the importProcessComplete value
 
 Description: A indication that the desired process has been completed successfully.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#organization-java.lang.String-">organization</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#organizationTrxIdentification-java.lang.String-">organizationTrxIdentification</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the organizationTrxIdentification value
 
 Description: Organization Trx Identification</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#partnerIdentification-java.lang.String-">partnerIdentification</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the partnerIdentification value
 
 Description: Partner Identification</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#period-java.lang.String-">period</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the period value
 
 Description: A specified time period.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#periodIdentification-java.lang.String-">periodIdentification</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the periodIdentification value
 
 Description: Period Identification</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#price-java.lang.String-">price</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the price value
 
 Description: The cost or value of a good or service.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#processed-java.lang.Boolean-">processed</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</code>
<div class="block">Set the processed value
 
 Description: A confirmation that the associated documents or requests are processed.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#product-java.lang.String-">product</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the product value
 
 Description: An item produced by a process.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#productCategory-java.lang.String-">productCategory</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the productCategory value
 
 Description: A classification of items based on similar characteristics or attributes.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#productCategoryID-java.lang.String-">productCategoryID</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the productCategoryID value
 
 Description: Product Category ID</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#productIdentification-java.lang.String-">productIdentification</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the productIdentification value
 
 Description: Product Identification</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#project-java.lang.String-">project</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the project value
 
 Description: Identifier of a project defined within the Project Service Management module.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#projectIdentification-java.lang.String-">projectIdentification</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the projectIdentification value
 
 Description: Project Identification</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#quantity-java.lang.String-">quantity</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the quantity value
 
 Description: The number of a certain item.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#salesCampaign-java.lang.String-">salesCampaign</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the salesCampaign value
 
 Description: An advertising effort aimed at increasing sales.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#salesRegion-java.lang.String-">salesRegion</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the salesRegion value
 
 Description: A defined section of the world where sales efforts will be focused.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#salesRegionIdentification-java.lang.String-">salesRegionIdentification</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the salesRegionIdentification value
 
 Description: Sales Region Identification</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#sequenceNumber-java.lang.String-">sequenceNumber</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the sequenceNumber value
 
 Description: The order of records in a specified document.</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#trxOrganization-java.lang.String-">trxOrganization</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the trxOrganization value
 
 Description: The organization which performs or initiates the transaction.</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html#uOM-java.lang.String-">uOM</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</code>
<div class="block">Set the uOM value
 
 Description: A non monetary unit of measure.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Builder--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Builder</h4>
<pre>public&nbsp;Builder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="elementvalueident-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>elementvalueident</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;elementvalueident(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the elementvalueident value
 
 Description: Elementvalueident</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The elementvalueident value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="acctschemaident-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>acctschemaident</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;acctschemaident(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the acctschemaident value
 
 Description: Acctschemaident</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The acctschemaident value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="accountingSchema-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accountingSchema</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;accountingSchema(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the accountingSchema value
 
 Description: The structure used in accounting including costing methods currencies and the
 calendar.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The accountingSchema value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="accountElement-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accountElement</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;accountElement(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the accountElement value
 
 Description: A identification code for an account type.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The accountElement value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="currencyIdentification-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currencyIdentification</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;currencyIdentification(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the currencyIdentification value
 
 Description: Currency Identification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The currencyIdentification value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="importProcessComplete-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>importProcessComplete</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;importProcessComplete(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the importProcessComplete value
 
 Description: A indication that the desired process has been completed successfully.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The importProcessComplete value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="importErrorMessage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>importErrorMessage</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;importErrorMessage(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the importErrorMessage value
 
 Description: A message that appears when errors occur during the importing process.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The importErrorMessage value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="processed-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processed</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;processed(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the processed value
 
 Description: A confirmation that the associated documents or requests are processed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The processed value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="amount-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>amount</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;amount(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the amount value
 
 Description: A monetary total.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The amount value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="price-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>price</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;price(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the price value
 
 Description: The cost or value of a good or service.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The price value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="quantity-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>quantity</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;quantity(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the quantity value
 
 Description: The number of a certain item.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The quantity value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="budget-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>budget</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;budget(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the budget value
 
 Description: A group of planned expenses for a task.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The budget value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="productCategoryID-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>productCategoryID</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;productCategoryID(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the productCategoryID value
 
 Description: Product Category ID</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The productCategoryID value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="productCategory-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>productCategory</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;productCategory(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the productCategory value
 
 Description: A classification of items based on similar characteristics or attributes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The productCategory value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="bPGroupIdentitification-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bPGroupIdentitification</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;bPGroupIdentitification(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the bPGroupIdentitification value
 
 Description: BP Group Identitification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The bPGroupIdentitification value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="businessPartnerCategory-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>businessPartnerCategory</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;businessPartnerCategory(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the businessPartnerCategory value
 
 Description: A classification of business partners based on defined similarities.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The businessPartnerCategory value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="sequenceNumber-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sequenceNumber</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;sequenceNumber(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the sequenceNumber value
 
 Description: The order of records in a specified document.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The sequenceNumber value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="description-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>description</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;description(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the description value
 
 Description: A space to write additional related information.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The description value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="activityIdentification-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activityIdentification</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;activityIdentification(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the activityIdentification value
 
 Description: Activity Identification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The activityIdentification value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="activity-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activity</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;activity(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the activity value
 
 Description: A distinct activity defined and used in activity based management.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The activity value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="campaignIdentification-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>campaignIdentification</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;campaignIdentification(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the campaignIdentification value
 
 Description: Campaign Identification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The campaignIdentification value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="salesCampaign-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>salesCampaign</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;salesCampaign(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the salesCampaign value
 
 Description: An advertising effort aimed at increasing sales.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The salesCampaign value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="projectIdentification-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>projectIdentification</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;projectIdentification(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the projectIdentification value
 
 Description: Project Identification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The projectIdentification value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="project-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>project</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;project(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the project value
 
 Description: Identifier of a project defined within the Project Service Management module.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The project value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="salesRegionIdentification-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>salesRegionIdentification</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;salesRegionIdentification(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the salesRegionIdentification value
 
 Description: Sales Region Identification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The salesRegionIdentification value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="salesRegion-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>salesRegion</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;salesRegion(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the salesRegion value
 
 Description: A defined section of the world where sales efforts will be focused.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The salesRegion value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="organizationTrxIdentification-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>organizationTrxIdentification</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;organizationTrxIdentification(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the organizationTrxIdentification value
 
 Description: Organization Trx Identification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The organizationTrxIdentification value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="trxOrganization-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>trxOrganization</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;trxOrganization(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the trxOrganization value
 
 Description: The organization which performs or initiates the transaction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The trxOrganization value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="partnerIdentification-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>partnerIdentification</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;partnerIdentification(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the partnerIdentification value
 
 Description: Partner Identification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The partnerIdentification value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="businessPartner-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>businessPartner</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;businessPartner(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the businessPartner value
 
 Description: Anyone who takes part in daily business operations by acting as a customer
 employee etc.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The businessPartner value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="productIdentification-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>productIdentification</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;productIdentification(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the productIdentification value
 
 Description: Product Identification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The productIdentification value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="product-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>product</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;product(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the product value
 
 Description: An item produced by a process.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The product value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="uOM-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>uOM</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;uOM(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the uOM value
 
 Description: A non monetary unit of measure.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The uOM value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="currency-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currency</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;currency(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the currency value
 
 Description: An accepted medium of monetary exchange that may vary across countries.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The currency value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="periodIdentification-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>periodIdentification</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;periodIdentification(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the periodIdentification value
 
 Description: Period Identification</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The periodIdentification value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="period-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>period</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;period(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the period value
 
 Description: A specified time period.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The period value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="budgetLine-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>budgetLine</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;budgetLine(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the budgetLine value
 
 Description: Budget Line</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The budgetLine value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="active-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>active</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;active(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;value)</pre>
<div class="block">Set the active value
 
 Description: A flag indicating whether this record is available for use or de-activated.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The active value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="organization-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>organization</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;organization(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the organization value
 
 Description: Organizational entity within client</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The organization value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="client-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>client</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData.Builder</a>&nbsp;client(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;value)</pre>
<div class="block">Set the client value
 
 Description: Client for this installation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The client value.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The builder for this class.</dd>
</dl>
</li>
</ul>
<a name="build--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget">ImportBudgetData</a>&nbsp;build()</pre>
<div class="block">Build the data object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The data object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.importdata.importbudget"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/data/masterdata/importdata/importbudget/ImportBudgetData.Builder.html" target="_top">Frames</a></li>
<li><a href="ImportBudgetData.Builder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
